WHICH(1)

NAME
which - locate a program file including aliases and paths (csh only)

SYNOPSIS
which [ name ] ...

DESCRIPTION
Which takes a list of names and looks for the files which would be executed had these names been given as commands. Each argument is expanded if it is aliased, and searched for along the user's path. Both aliases and path are taken from the user's .cshrc file.

FILES
~/.cshrc    source of aliases and path values

DIAGNOSTICS
A diagnostic is given for names which are aliased to more than a single word, or if an executable file with the argument name was not found in the path.

BUGS
Must be executed by a csh, since only csh's know about aliases.